> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://useroot.docs.buildwithfern.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://useroot.docs.buildwithfern.com/_mcp/server.

# Get rail options for account transfer

GET https://api.useroot.com/api/treasury/account-transfers/rail-options

Reference: https://useroot.docs.buildwithfern.com/api-reference/treasury-api/get-account-transfer-rail-options

## Authentication

- `x-api-key` header (required) — RootPay API key sent in the x-api-key header. Keys are environment-scoped: live_* for production, test_* for sandbox.

## Request

### Query parameters

- `from_account_id` (string, required) — Source main account ID.
- `to_account_id` (string, required) — Destination main account ID.

## Response

### 200

Successful Response

- `data` (object, required) — Supported rails for a from/to main account pair.
  - `supported_rails` (list of string, required)
- `warning` (string, optional, nullable)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "data": {
    "supported_rails": [
      "ACH",
      "RTP",
      "Wire"
    ]
  },
  "warning": null
}
```

**SDK Code**

```python
import requests

url = "https://api.useroot.com/api/treasury/account-transfers/rail-options"

querystring = {"from_account_id":"3fa85f64-5717-4562-b3fc-2c963f66afa6","to_account_id":"7c9e6679-7425-40de-944b-e07fc1f90ae7"}

payload = {}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.useroot.com/api/treasury/account-transfers/rail-options?from_account_id=3fa85f64-5717-4562-b3fc-2c963f66afa6&to_account_id=7c9e6679-7425-40de-944b-e07fc1f90ae7';
const options = {
  method: 'GET',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.useroot.com/api/treasury/account-transfers/rail-options?from_account_id=3fa85f64-5717-4562-b3fc-2c963f66afa6&to_account_id=7c9e6679-7425-40de-944b-e07fc1f90ae7"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.useroot.com/api/treasury/account-transfers/rail-options?from_account_id=3fa85f64-5717-4562-b3fc-2c963f66afa6&to_account_id=7c9e6679-7425-40de-944b-e07fc1f90ae7")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.useroot.com/api/treasury/account-transfers/rail-options?from_account_id=3fa85f64-5717-4562-b3fc-2c963f66afa6&to_account_id=7c9e6679-7425-40de-944b-e07fc1f90ae7")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.useroot.com/api/treasury/account-transfers/rail-options?from_account_id=3fa85f64-5717-4562-b3fc-2c963f66afa6&to_account_id=7c9e6679-7425-40de-944b-e07fc1f90ae7', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.useroot.com/api/treasury/account-transfers/rail-options?from_account_id=3fa85f64-5717-4562-b3fc-2c963f66afa6&to_account_id=7c9e6679-7425-40de-944b-e07fc1f90ae7");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.useroot.com/api/treasury/account-transfers/rail-options?from_account_id=3fa85f64-5717-4562-b3fc-2c963f66afa6&to_account_id=7c9e6679-7425-40de-944b-e07fc1f90ae7")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```